# Script to set the connector environment. Any common connector dependencies 
# goes into this script.

# Set the crossworlds home to the CROSSWORLDS variable initialized in CWSharedEnv.sh
# Change to have CROSSWORLDS=VAR_CWHOME for Saphire release as connector_manager is 
# changed for this release to call CWConnEnv.sh.
# Fix for CR 16770.CROSSWORLDS=VAR_CWHOME
CROSSWORLDS=VAR_CWHOME
export CROSSWORLDS

#Possible values for CWVERSION are 4.X, 4.1.X,4.2. 
CWVERSION="4.2"
export CWVERSION

if [ "$CWVERSION" = "4.1.X" ]
then
	MQ_MA88=${CROSSWORLDS}/MA88/java/lib
	export MQ_MA88
	MQ_LIB=${CROSSWORLDS}/lib/mq.jar:${MQ_MA88}/properties.jar
fi
if [ "$CWVERSION" = "4.X" ]
then
	MQ_HOME=/opt/mqm
	MQ_LIB=${CROSSWORLDS}/lib/mq.jar
fi
OS1=`uname`
if [ "$OS1" = "SunOS" ]
then
	OS="SUNOS"
elif [ "$OS1" = "HP-UX" ]
then
	OS="HP-UX"
else
	OS="AIX"
fi
export OS

# -- visibroker
VBROKER_HOME=/opt/vbroker

# set the osagent port number
OSAPORT=

if [ -n "$OSAGENT_PORT" ]; then
  OSAPORT="-Dvbroker.agent.port=$OSAGENT_PORT"
elif [ -n "$OSAPORT" ]; then
  OSAPORT="-Dvbroker.agent.port=$OSAPORT"
else
  OSAPORT=
fi


PATH=${CROSSWORLDS}/bin:${CROSSWORLDS}/mqseries:${MQ_LIB}:${VBROKER_HOME}/bin:${PATH}
export PATH

# Connector dependencies.
JRT=${CROSSWORLDS}/lib/rt.jar

ORB1=${CROSSWORLDS}/lib/vbjorb.jar
RSA=${CROSSWORLDS}/lib/sslj.jar:${CROSSWORLDS}/lib/certj.jar:${CROSSWORLDS}/lib/jsafe.jar
JAVA_SECURITY=${CROSSWORLDS}/lib/ibmjcefw.jar:${CROSSWORLDS}/lib/ibmjceprovider.jar:${CROSSWORLDS}/lib/local_policy.jar:${CROSSWORLDS}/lib/US_export_policy.jar

# By default, set the WBIA jar to the one under CROSSWORLDS/lib. 
WBIA=${CROSSWORLDS}/lib/WBIA.jar
if [ "$CWVERSION" = "4.X" ]
then
	WBIA=${CROSSWORLDS}/lib/WBIA/4.0.0/WBIA.jar
elif [ "$CWVERSION" = "4.1.X" ]
then
	WBIA=${CROSSWORLDS}/lib/WBIA/4.1.1/WBIA.jar
elif [ "$CWVERSION" = "3.X" ] 
then
	WBIA=${CROSSWORLDS}/lib/WBIA/3.0.0/WBIA.jar
fi

CWJAVA="${CROSSWORLDS}/bin/java"
export CWJAVA

CORECW=${CROSSWORLDS}/lib/CrossWorlds.jar
DATAHANDLER=${CROSSWORLDS}/DataHandlers/CwDataHandler.jar:${CROSSWORLDS}/DataHandlers/CwXMLDataHandler.jar:${CROSSWORLDS}/DataHandlers/CwEDIDataHandler.jar

THIN_DRIVER=${CROSSWORLDS}/lib/classes12_01.zip

# Set the ODK dependencies.
ODK_LIB=${CROSSWORLDS}/lib/CwODK.jar
XML_LIB=${CROSSWORLDS}/lib/xerces.jar
ORION_LIB=${CROSSWORLDS}/lib/cworion.jar

CWCLASSES=${CWCLASSES}:${JAVA_SECURITY}:${RSA}:${JRT}:${THIN_DRIVER}:${CORECW}:${MQ_LIB}:${MQ}:${ORB1}:${WBIA}:${DATAHANDLER}:${ODK_LIB}:${XML_LIB}:${ORION_LIB}
export CWCLASSES

#JAVA_PROPERTY_FLAGS="-Dbea.home=${CROSSWORLDS} ${OSAPORT} -Dorg.omg.CORBA.ORBClass=com.inprise.vbroker.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=com.inprise.vbroker.orb.ORBSingleton -Duser.home=${CROSSWORLDS} -DORACLE_HOME=${ORACLE_HOME}"
JAVA_PROPERTY_FLAGS="${OSAPORT} -Djava.ext.dirs=${MQ_LIB} -Dorg.omg.CORBA.ORBClass=com.inprise.vbroker.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=com.inprise.vbroker.orb.ORBSingleton -Duser.home=${CROSSWORLDS} -DORACLE_HOME=${ORACLE_HOME}"

# This is the generic JVM flags
# JVM has some issues... so we are explicitly specifying some
# parameters here
#       -Xms<size> : set initial Java heap size
# 	-Xmx<size> : set maximum Java heap size (def 64M)
# 	-Xss<size> : set java thread stack size (def 128k)

if [ "${OS}" = "AIX" ]
then
JVM_FLAGS="-Xmx128m ${JAVA_PROPERTY_FLAGS}"
elif [ "${OS}" = "HP-UX" ]
then
JVM_FLAGS="-hotspot -native -Xmx128m ${JAVA_PROPERTY_FLAGS}"
else
JVM_FLAGS="-hotspot -native -Xmx128m ${JAVA_PROPERTY_FLAGS}"
fi

export JVM_FLAGS

JAVA="${CWJAVA} ${JVM_FLAGS}"
export JAVA

CONN_CPP_JVM_FLAGS="${JVM_FLAGS} -Xss5m "   
export CONN_CPP_JVM_FLAGS 
CONN_JAVA_JVM_FLAGS=${JVM_FLAGS}
export CONN_JAVA_JVM_FLAGS

if [ "${OS}" = "AIX" ]
then
#LIBPATH=${CROSSWORLDS}/lib:${CROSSWORLDS}/bin:${CROSSWORLDS}/bin/classic:$LIBPATH
LIBPATH=${CROSSWORLDS}/lib:${CROSSWORLDS}/bin:${CROSSWORLDS}/bin/classic:${VBROKER_HOME}/lib:${MQ_LIB}:$LIBPATH
export LIBPATH
elif [ "${OS}" = "HP-UX" ]
then
SHLIB_PATH=${CROSSWORLDS}/lib:${VBROKER_HOME}/lib:${MQ_LIB}:$SHLIB_PATH
export SHLIB_PATH
else
#LD_LIBRARY_PATH=${CROSSWORLDS}/lib:${CROSSWORLDS}/lib/sparc:$LD_LIBRARY_PATH
LD_LIBRARY_PATH=${CROSSWORLDS}/lib:${CROSSWORLDS}/lib/sparc:${VBROKER_HOME}/lib:${MQ_LIB}:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH
fi
