# Script to set the connector environment. Any common connector dependencies 
# goes into this script.

# Set the crossworlds home to the CROSSWORLDS installation home.
CROSSWORLDS=VAR_CWHOME
export CROSSWORLDS

PATH=${CROSSWORLDS}:${CROSSWORLDS}/bin:${PATH}
export PATH

# Possible values for CWVERSION are 4.X, 4.1.X, 4.2 .
CWVERSION="4.2"

CONNECTION="IdlAgentFactory"
if [ "$CWVERSION" = "4.2" ]
then
	CONNECTION="XRmiAgent"
fi
export CONNECTION
OS1=`uname`
if [ "$OS1" = "SunOS" ]
then
	OS="SUNOS"
elif [ "$OS1" = "HP-UX" ]
then
	OS="HP-UX"
else
	OS="AIX"
fi
export OS
# -- visibroker
VBROKER_HOME=/opt/vbroker

# set the osagent port number
OSAPORT=

if [ -n "$OSAGENT_PORT" ]; then
  OSAPORT="-Dvbroker.agent.port=$OSAGENT_PORT"
elif [ -n "$OSAPORT" ]; then
  OSAPORT="-Dvbroker.agent.port=$OSAPORT"
else
  OSAPORT=
fi

PATH=${CROSSWORLDS}/bin:${CROSSWORLDS}/mqseries:${MQ_LIB}:${VBROKER_HOME}/bin:${PATH}
export PATH

# ODA dependencies.
JRT=${CROSSWORLDS}/lib/rt.jar

ORB1=${CROSSWORLDS}/lib/vbjorb.jar
RSA=${CROSSWORLDS}/lib/sslj.jar:${CROSSWORLDS}/lib/certj.jar:${CROSSWORLDS}/lib/jsafe.jar
JAVA_SECURITY=${CROSSWORLDS}/lib/ibmjcefw.jar:${CROSSWORLDS}/lib/ibmjceprovider.jar:${CROSSWORLDS}/lib/local_policy.jar

WBIA=${CROSSWORLDS}/lib/WBIA.jar
if [ "$CWVERSION" = "4.X" ]
then
	WBIA=${CROSSWORLDS}/lib/WBIA/4.0.0/WBIA.jar
elif [ "$CWVERSION" = "4.1.X" ]
then
	WBIA=${CROSSWORLDS}/lib/WBIA/4.1.1/WBIA.jar
elif [ "$CWVERSION" = "3.X" ]
then
	WBIA=${CROSSWORLDS}/lib/WBIA/3.0.0/WBIA.jar
fi
echo $WBIA


# Connector dependencies.
JRT=${CROSSWORLDS}/lib/rt.jar
CWJAVA="${CROSSWORLDS}/bin/java"
export CWJAVA

# Set the ODK dependencies.
ODK_LIB=${CROSSWORLDS}/lib/CwODK.jar
XML_LIB=${CROSSWORLDS}/lib/xerces.jar
CW_LIB=${CROSSWORLDS}/lib/CrossWorlds.jar
ORION_LIB=${CROSSWORLDS}/lib/cworion.jar





CONN_LIB=${CROSSWORLDS}/lib/vbjorb.jar
if [ "$CWVERSION" = "4.2" ]
then
	CONN_LIB=${CROSSWORLDS}/lib/xrmi.jar
fi


CWCLASSES=${ORB1}:${JRT}:${JAVA_SECURITY}:${RSA}:${JRT}:${THIN_DRIVER}:${CONN_LIB}:${MQ_LIB}:${ODK_LIB}:${XML_LIB}:${CW_LIB}:${WBIA}:${MQ}:${ORION_LIB}
export CWCLASSES

if [ "$CONNECTION" = "IdlAgentFactory" ]
then
	ORB_DEP="-Duser.home=${CROSSWORLDS} -mx128m -Dbea.home=${CROSSWORLDS} -Dfile.encoding="ISO8859_1" -DORBsyncGC=false -Dorg.omg.CORBA.ORBClass=com.inprise.vbroker.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=com.inprise.vbroker.orb.ORBSingleton"
else
	ORB_DEP="-Duser.home=${CROSSWORLDS}"
fi
export ORB_DEP

# This is the generic JVM flags
# JVM has some issues... so we are explicitly specifying some
# parameters here
#       -Xms<size> : set initial Java heap size
# 	-Xmx<size> : set maximum Java heap size (def 64M)
# 	-Xss<size> : set java thread stack size (def 128k)

if [ "${OS}" = "AIX" ]
then
JVM_FLAGS="-Xmx128m"
elif [ "${OS}" = "HP-UX" ]
then
JVM_FLAGS="-hotspot -native -Xmx128m"
else
JVM_FLAGS="-hotspot -native -Xmx128m"
fi

export JVM_FLAGS

JAVA="${CWJAVA} ${JVM_FLAGS}"
export JAVA

if [ "${OS}" = "AIX" ]
then
#LIBPATH=${CROSSWORLDS}/lib:${CROSSWORLDS}/bin:${CROSSWORLDS}/bin/classic:$LIBPATH
LIBPATH=${CROSSWORLDS}/lib:${CROSSWORLDS}/bin:${CROSSWORLDS}/bin/classic:${VBROKER_HOME}/lib:${MQ_LIB}:$LIBPATH
export LIBPATH
elif [ "${OS}" = "HP-UX" ]
then
SHLIB_PATH=${CROSSWORLDS}/lib:${VBROKER_HOME}/lib:${MQ_LIB}:$SHLIB_PATH
export SHLIB_PATH
else
#LD_LIBRARY_PATH=${CROSSWORLDS}/lib:${CROSSWORLDS}/lib/sparc:$LD_LIBRARY_PATH
LD_LIBRARY_PATH=${CROSSWORLDS}/lib:${CROSSWORLDS}/lib/sparc:${VBROKER_HOME}/lib:${MQ_LIB}:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH
fi
